> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add new card transaction



## OpenAPI

````yaml /openapi/findity-connect-api.json post /cardtransactions
openapi: 3.0.3
info:
  title: Findity Connect API
  description: Findity Connect API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/connect
  - url: https://api.findity.com/api/v1/connect
security:
  - bearerAuth: []
paths:
  /cardtransactions:
    post:
      tags:
        - Card transaction
      summary: Add new card transaction
      operationId: addCardTransaction
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CardTransactionBodyParams'
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayOfCardTransactions'
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
        '401':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401Error'
components:
  schemas:
    CardTransactionBodyParams:
      type: object
      properties:
        billingAmount:
          type: number
        billingCurrencyCode:
          type: string
        billingExchangeRate:
          type: number
        billingVatAmount:
          type: number
        cardId:
          type: string
          readOnly: true
        cardIssuer:
          type: string
        cardNumber:
          type: string
        cardType:
          type: string
        country:
          type: string
        city:
          type: string
        state:
          type: string
        description:
          type: string
        eventType:
          type: string
          enum:
            - AUTHORIZATION_ACCEPTED
            - AUTHORIZATION_REJECTED
            - AUTHORIZATION_REVERSAL
            - CAPTURE
            - REFUND
        expenseRecordId:
          type: string
          readOnly: true
        id:
          type: string
          readOnly: true
        invoiceNumber:
          type: string
        lastUpdated:
          type: string
          format: date-time
        liability:
          type: string
          enum:
            - PRIVATE
            - CORPORATE
            - DEBET
        merchantAmount:
          type: number
        merchantCurrencyCode:
          type: string
        merchantMcc:
          type: number
        organizationId:
          type: string
        personId:
          type: string
        posName:
          type: string
        supplierCardId:
          type: string
        transactionDate:
          type: string
          format: date-time
        transactionId:
          type: string
        transactionOwnerName:
          type: string
        transactionReference:
          type: string
        bank:
          type: string
      required:
        - billingAmount
        - billingCurrencyCode
        - cardType
        - eventType
        - liability
        - organizationId
        - personId
        - supplierCardId
        - transactionDate
        - transactionId
      example:
        billingAmount: 550
        billingCurrencyCode: SEK
        billingExchangeRate: null
        billingVatAmount: 0
        cardId: fa9fd6cc23144018953c37ddffdbf4a9
        cardIssuer: NORDEA
        cardNumber: XXXXXXXXXXXX6789
        cardType: FIRSTCARD
        country: SWE
        city: STOCKHOLM
        state: SWEDEN
        description: CARD PURCHASE
        eventType: CAPTURE
        expenseRecordId: 55b22cb36900800c016555cbcab4004c
        id: 7ab11cb36900800c016900cbcab4002b
        invoiceNumber: null
        lastUpdated: '2023-07-18T14:20:53Z'
        liability: private
        merchantAmount: 550
        merchantCurrencyCode: SEK
        merchantMcc: 5921
        organizationId: 8ab28cb36900800c016900cbcab4003e
        personId: 8ab28c4e72e12f790172e29b8e050077
        posName: COOP LUDVIKA
        supplierCardId: '674411441'
        transactionDate: '2023-04-04T00:00:00Z'
        transactionId: '454411002'
        transactionOwnerName: Test Testsson
        transactionReference: 04TF56_2024-01-01
    ArrayOfCardTransactions:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CardTransaction'
      example:
        data:
          - billingAmount: 550
            billingCurrencyCode: SEK
            billingExchangeRate: null
            billingVatAmount: 0
            cardId: fa9fd6cc23144018953c37ddffdbf4a9
            cardIssuer: NORDEA
            cardNumber: XXXXXXXXXXXX6789
            cardType: FIRSTCARD
            country: SWE
            city: STOCKHOLM
            state: SWEDEN
            description: CARD PURCHASE
            eventType: CAPTURE
            expenseRecordId: 55b22cb36900800c016555cbcab4004c
            id: 7ab11cb36900800c016900cbcab4002b
            invoiceNumber: null
            lastUpdated: '2023-07-18T14:20:53Z'
            liability: private
            merchantAmount: 550
            merchantCurrencyCode: SEK
            merchantMcc: 5921
            organizationId: 8ab28cb36900800c016900cbcab4003e
            personId: 8ab28c4e72e12f790172e29b8e050077
            posName: COOP LUDVIKA
            supplierCardId: '674411441'
            transactionDate: '2023-04-04T00:00:00Z'
            transactionId: '454411002'
            transactionOwnerName: Test Testsson
            transactionReference: 04TF56_2024-01-01
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    401Error:
      type: object
      properties:
        result:
          type: string
        description:
          type: string
    CardTransaction:
      type: object
      properties:
        billingAmount:
          type: number
        billingCurrencyCode:
          type: string
        billingExchangeRate:
          type: number
        billingVatAmount:
          type: number
        cardId:
          type: string
          readOnly: true
        cardIssuer:
          type: string
        cardNumber:
          type: string
        cardType:
          type: string
        country:
          type: string
        city:
          type: string
        state:
          type: string
        description:
          type: string
        eventType:
          type: string
          enum:
            - AUTHORIZATION_ACCEPTED
            - AUTHORIZATION_REJECTED
            - AUTHORIZATION_REVERSAL
            - CAPTURE
            - REFUND
        expenseRecordId:
          type: string
          readOnly: true
        id:
          type: string
          readOnly: true
        invoiceNumber:
          type: string
        lastUpdated:
          type: string
          format: date-time
        liability:
          type: string
          enum:
            - PRIVATE
            - CORPORATE
            - DEBET
        merchantAmount:
          type: number
        merchantCurrencyCode:
          type: string
        merchantMcc:
          type: number
        organizationId:
          type: string
        personId:
          type: string
        posName:
          type: string
        supplierCardId:
          type: string
        transactionDate:
          type: string
          format: date-time
        transactionId:
          type: string
        transactionOwnerName:
          type: string
        transactionReference:
          type: string
        bank:
          type: string
      example:
        billingAmount: 550
        billingCurrencyCode: SEK
        billingExchangeRate: null
        billingVatAmount: 0
        cardId: fa9fd6cc23144018953c37ddffdbf4a9
        cardIssuer: NORDEA
        cardNumber: XXXXXXXXXXXX6789
        cardType: FIRSTCARD
        country: SWE
        city: STOCKHOLM
        state: SWEDEN
        description: CARD PURCHASE
        eventType: CAPTURE
        expenseRecordId: 55b22cb36900800c016555cbcab4004c
        id: 7ab11cb36900800c016900cbcab4002b
        invoiceNumber: null
        lastUpdated: '2023-07-18T14:20:53Z'
        liability: private
        merchantAmount: 550
        merchantCurrencyCode: SEK
        merchantMcc: 5921
        organizationId: 8ab28cb36900800c016900cbcab4003e
        personId: 8ab28c4e72e12f790172e29b8e050077
        posName: COOP LUDVIKA
        supplierCardId: '674411441'
        transactionDate: '2023-04-04T00:00:00Z'
        transactionId: '454411002'
        transactionOwnerName: Test Testsson
        transactionReference: 04TF56_2024-01-01
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````